Line-class {sp} | R Documentation

## Class "Line"

### Description

class for line objects

### Objects from the Class

Objects can be created by calls of the form `new("Line", ...)`, or (preferred) by calls to the function Line

### Slots

`coords`:

  Object of class `"matrix"`, containing the line coordinates

### Methods

coordinates

  `signature(obj = "Line")`: retrieve coordinates from line

lines

  `signature(x = "Line")`: add lines to a plot

### Author(s)

Roger Bivand, Edzer Pebesma

### See Also

Lines-class, SpatialLines-class

[Package sp version 1.2-3 Index]